org.keycloak.models.jpa.entities

## Class AttributeMap

- java.lang.Object
- - org.keycloak.models.jpa.entities.AttributeMap

-     public class AttributeMap
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `String` | `get(String key, String defaultValue)`
    `String[]` | `getArray(String key)`
    `Boolean` | `getBoolean(String key)`
    `Boolean` | `getBoolean(String key, Boolean defaultValue)`
    `Integer` | `getInt(String key)`
    `Integer` | `getInt(String key, Integer defaultValue)`
    `Long` | `getLong(String key)`
    `Long` | `getLong(String key, Long defaultValue)`
    `void` | `set(String key, Boolean value)`
    `void` | `set(String key, Integer value)`
    `void` | `set(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeMap

          public AttributeMap()

  - ### Method Detail

    - #### set

          public void set(String key,
                 String value)

    - #### set

          public void set(String key,
                 Boolean value)

    - #### set

          public void set(String key,
                 Integer value)

    - #### get

          public String get(String key)

    - #### get

          public String get(String key,
                   String defaultValue)

    - #### getArray

          public String[] getArray(String key)

    - #### getInt

          public Integer getInt(String key)

    - #### getInt

          public Integer getInt(String key,
                       Integer defaultValue)

    - #### getLong

          public Long getLong(String key)

    - #### getLong

          public Long getLong(String key,
                     Long defaultValue)

    - #### getBoolean

          public Boolean getBoolean(String key)

    - #### getBoolean

          public Boolean getBoolean(String key,
                           Boolean defaultValue)

Copyright © 2014. All Rights Reserved.